import request from '@/utils/httpRequest'

export default class ReimbursementApprovalService {
  list (param) {
    return request({
      url: '/reimbursementApproval/info/list',
      method: 'get',
      params: param
    })
  }
  reportNoList (param) {
    return request({
      url: '/reimbursementApproval/info/reportNoList',
      method: 'get',
      params: param
    })
  }
  projectList (params) {
    return request({
      url: '/reimbursementApproval/info/projectList',
      method: 'get',
      params: params
    })
  }
  save (param) {
    return request({
      url: '/reimbursementApproval/info/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/reimbursementApproval/info/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: '/reimbursementApproval/info/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: '/reimbursementApproval/info/updateStatusById',
      method: 'post',
      data: param
    })
  }
  checkNumber (number) {
    return request({
      url: '/reimbursementApproval/info/checkNumber',
      method: 'get',
      params: {number: number}
    })
  }
  userTree (name) {
    return request({
      url: '/reimbursementApproval/info/userTree',
      method: 'get',
      params: {name: name}
    })
  }
  exportFile (params) {
    return request({
      url: '/reimbursementApproval/info/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
  queryByProIds (ids) {
    return request({
      url: '/reimbursementApproval/info/queryByProIds',
      method: 'get',
      params: {ids: ids}
    })
  }
}
